#! /bin/sh
#	Hebcal Widget, version 1.0 051010
#	for Mac OS X 10.4 and later
#
#	Copyright (c) 2005 Mark A. Saper (hebcal@comcast.net)
#
# 1. checks for number of args

if [ $# -lt 2 ]
then
  echo "Usage: gethebcal.sh #zipcode #nmin"
  exit 1;
fi  


# 2. downloads the file...
curl -o tmp/1.tmp -s "https://www.hebcal.com/shabbat/?geo=zip;zip=$1;m=$2;cfg=j"
wait

# 3. removes HTML.
sed -e 's/document.write("//g' -e 's/");//g' -e 's/\\n/ /g'  tmp/1.tmp > tmp/2.tmp

# 4. deletes last two lines
sed -e '/1-Click/,$d'  -e 's/\\"/"/g' tmp/2.tmp > tmp/3.tmp

# 5. Change hrefs to javascript calls
sed -e 's/<a[^>]*href=\"/<a\ href=\"javascript:widget.openURL\(\&\#34;/g' -e '/<a[^>]*href=\"/s/\"\>/\&\#34;\)\;\"\>/g' tmp/3.tmp > tmp/4.tmp

# Fix up end of file
echo "</div>" | cat tmp/4.tmp - > FINAL.html

rm tmp/*
exit ;
